//
// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
//
// The contents of this file are covered under the licence agreement in the
// file "LICENCE" distributed with Cforall.
//
// BasicKind.hpp -- Declares all kinds of basic types.
//
// Author           : Andrew Beach
// Created On       : Thu Apr 18 14:00:00 2024
// Last Modified By : Peter A. Buhr
// Last Modified On : Mon Sep  9 20:51:13 2024
// Update Count     : 2
//

#pragma once

namespace ast {

// GENERATED START, DO NOT EDIT
// GENERATED BY c/BasicTypes-gen.cpp
enum BasicKind {
	Bool,
	Char,
	SignedChar,
	UnsignedChar,
	ShortSignedInt,
	ShortUnsignedInt,
	SignedInt,
	UnsignedInt,
	LongSignedInt,
	LongUnsignedInt,
	LongLongSignedInt,
	LongLongUnsignedInt,
	SignedInt128,
	UnsignedInt128,
	Float16,
	Float16Complex,
	Float32,
	Float32Complex,
	Float,
	FloatComplex,
	Float32x,
	Float32xComplex,
	Float64,
	Float64Complex,
	Double,
	DoubleComplex,
	Float64x,
	Float64xComplex,
	Float80,
	LongDouble,
	LongDoubleComplex,
	uuFloat128,
	Float128,
	Float128Complex,
	Float128x,
	Float128xComplex,
	NUMBER_OF_BASIC_TYPES,
	MAX_INTEGER_TYPE = UnsignedInt128,
};
// GENERATED END

}
